wpa_cli eapol_version

Jouni Malinen j at w1.fi
Thu Dec 6 21:35:02 EST 2007


On Thu, Dec 06, 2007 at 01:51:57PM +0100, Grant Williamson wrote:

> I curious if it is possible to set eapol_version using the command 
> client. I know I can add it to the wpa_supplicant.conf. But is there 
> anyway to set this on the fly.

It doesn't look like that. Why would you want to do this? EAPOL version
is not really something that should be changed and the only reason to
have the option for this in the configuration file is to allow people to
make wpa_supplicant claim that it is using old EAPOL version (while it
is actually not) to work around some broken 802.1X authenticator
implementations.

-- 
Jouni Malinen                                            PGP id EFC895FA



More information about the HostAP mailing list